Bug 232558 - sysutils/upower: fix build with GCC-based architectures
Summary: sysutils/upower: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-23 13:49 UTC by Piotr Kubaj
Modified: 2018-11-24 07:18 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (503 bytes, patch)
2018-10-23 13:49 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-23 13:49:48 UTC
Created attachment 198496 [details]
patch

GCC architectures require USES=compiler:c++11-lang to build this port.

While here, add USES=gnome.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Ting-Wei Lan 2018-10-24 14:00:00 UTC
upower is written in C, so it is odd for it to require C++11. Did you mean c11 instead?
Comment 2 Piotr Kubaj freebsd_committer 2018-10-24 14:13:19 UTC
There are not many ports that use C11, so I actually meant C++11. That said, it doesn't really matter from the perspective of ports infrastructure. Clang in all releases supports both C++11 and C11, GCC 4.2 supports neither C++11 nor C11 :)

If you feel that it's better to put C11, it's not a problem since both will work the same.
Comment 3 commit-hook freebsd_committer 2018-11-24 07:16:49 UTC
A commit references this bug:

Author: linimon
Date: Sat Nov 24 07:15:57 UTC 2018
New revision: 485727
URL: https://svnweb.freebsd.org/changeset/ports/485727

Log:
  Add compiler:c11 to USES to fix build with GCC-based architectures.

  PR:		232558
  Submitted by:	Piotr Kubaj
  Reviewed by:	Ting-Wei Lan
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/sysutils/upower/Makefile